xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmltooling::HTTPSOAPTransport Class Referenceabstract

Encapsulates HTTP SOAP transport layer. More...

`#include <xmltooling/soap/HTTPSOAPTransport.h>`

Inheritance diagram for xmltooling::HTTPSOAPTransport:

## Public Member Functions
virtual bool | useChunkedEncoding (bool chunked=true)=0
| Indicate whether content should be sent using HTTP 1.1 and Chunked Transport-Encoding, or buffered and sent with a Content-Length. More...
virtual bool | setRequestHeader (const char *name, const char *value)=0
| Sets an outgoing HTTP request header. More...
virtual bool | followRedirects (bool follow, unsigned int maxRedirs)
| Controls redirect behavior. More...
virtual const std::vector< std::string > & | getResponseHeader (const char *name) const =0
| Returns the values of an HTTP response header. More...
Public Member Functions inherited from xmltooling::SOAPTransport
virtual bool | isConfidential () const =0
| Indicates whether transport provides confidentiality. More...
virtual bool | setConnectTimeout (long timeout)=0
| Sets the connection timeout. More...
virtual bool | setTimeout (long timeout)=0
| Sets the request timeout. More...
virtual bool | setAuth (transport_auth_t authType, const char *username=0, const char *password=0)=0
| Sets a particular form of transport authentication and credentials. More...
virtual bool | setVerifyHost (bool verify)=0
| Determines whether TLS/SSL connections include a check of the server's certificate against the expected hostname or address. More...
virtual bool | setCredential (const Credential *credential=0)=0
| Supplies transport credentials. More...
virtual bool | setTrustEngine (const X509TrustEngine *trustEngine=0, const CredentialResolver *credResolver=0, CredentialCriteria *criteria=0, bool mandatory=true)=0
| Provides an X509TrustEngine to the transport to authenticate the transport peer. More...
virtual bool | setCacheTag (std::string *cacheTag=0)
| Installs (or clears) a pointer to an object used for cache management of the content being accessed. More...
virtual bool | setProviderOption (const char *provider, const char *option, const char *value)
| Sets an implementation-specific transport provider option. More...
virtual void | send (std::istream &in)=0
| Sends a stream of data over the transport. More...
virtual void | send (std::istream *in=0)
| Sends an optional stream of data over the transport. More...
virtual std::istream & | receive ()=0
| Returns reference to response stream. More...
virtual bool | isAuthenticated () const =0
| Returns result of authenticating transport peer. More...
virtual std::string | getContentType () const =0
| Returns the MIME type of the response, if any. More...
virtual long | getStatusCode () const
| Returns the status code of the response. More...

## Additional Inherited Members
Public Types inherited from xmltooling::SOAPTransport
enum | transport_auth_t { transport_auth_none = 0, transport_auth_basic = 1, transport_auth_digest = 2, transport_auth_ntlm = 3, transport_auth_gss = 4 }
| Common types of transport authentication that may be supported.

## Detailed Description

Encapsulates HTTP SOAP transport layer.

## Member Function Documentation

virtual bool xmltooling::HTTPSOAPTransport::followRedirects | ( | bool | follow,
|  | unsigned int | maxRedirs
| ) |  |
| virtual

Controls redirect behavior.

Parameters

  follow | true iff Location-based redirects should be honored
  maxRedirs | maximum number of redirects to permit

virtual const std::vector<std::string>& xmltooling::HTTPSOAPTransport::getResponseHeader | ( | const char * | name | ) | const
| pure virtual

Returns the values of an HTTP response header.

Parameters

  name | name of header, without the colon separator

Returns
  reference to array of header values

virtual bool xmltooling::HTTPSOAPTransport::setRequestHeader | ( | const char * | name,
|  | const char * | value
| ) |  |
| pure virtual

Sets an outgoing HTTP request header.

Parameters

  name | name of header, without the colon separator
  value | header value to send

Returns
  true iff the header is successfully set

virtual bool xmltooling::HTTPSOAPTransport::useChunkedEncoding | ( | bool | chunked = `true` | ) |
| pure virtual

Indicate whether content should be sent using HTTP 1.1 and Chunked Transport-Encoding, or buffered and sent with a Content-Length.

Parameters

  chunked | true iff chunked encoding should be used

Returns
  true iff the property is successfully set

The documentation for this class was generated from the following file:

- xmltooling/soap/HTTPSOAPTransport.h